Bug 2051038 - Thinkpad T495 fails to enter S3 sleep after first sleep/resume; audio tasks refusing to freeze
Summary: Thinkpad T495 fails to enter S3 sleep after first sleep/resume; audio tasks r...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-05 23:41 UTC by Dimitris
Modified: 2022-06-07 22:51 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 22:51:52 UTC
Type: Bug


Attachments (Terms of Use)
dmesg fragment from failed S3 attempt (6.17 KB, text/plain)
2022-02-05 23:41 UTC, Dimitris
no flags Details

Description Dimitris 2022-02-05 23:41:21 UTC
Created attachment 1859333 [details]
dmesg fragment from failed S3 attempt

1. Please describe the problem:

First S3 suspend/resume appears normal.  Subsequent attempts to sleep fail with "Freezing of tasks failed after 20.004 seconds (2 tasks refusing to freeze, wq_busy=0):" messages

2. What is the Version-Release number of the kernel:

5.16.5-100.fc34.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

Has been working consistently with F34 and before that F33 kernels, IIRC this machine started out with F31 or so.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Boot; Suspend/resume; Then attempt to suspend again.  BIOS is set for S3 ("Linux") sleep.


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

N/A yet

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Dimitris 2022-02-06 01:11:34 UTC
This laptop is docked onto a Lenovo dock which contains:

Bus 002 Device 009: ID 17ef:306f Lenovo ThinkPad Dock USB Audio

During the resume from the first "successful" suspend (see steps to reproduce), this was being logged:

Feb 05 16:30:23 angua kernel: usb 4-2.1: reset high-speed USB device number 4 using xhci_hcd
Feb 05 16:30:23 angua kernel: snd-usb-audio 2-4.2.4:1.0: resume error -22

So for now I've worked around this issue by blacklisting the snd_usb_audio module.  This sidelines my USB microphone, if that becomes annoying enough I'll look into a udev workaround.

Comment 2 Marko Bevc 2022-02-07 18:22:11 UTC
Something similar happening on T490s with F35 as well

Comment 3 Dimitris 2022-02-18 17:19:50 UTC
Couple of updates:

Possible upstream proposed fix: https://patchwork.kernel.org/project/alsa-devel/patch/20220214125711.20531-1-tiwai@suse.de/

Also, on the latest 5.16 series (currently 5.16.10), the behavior had changed: The machine did enter sleep, but upon resume there were all sorts of audio issues involving the USB audio devices that ultimately made audio unusable as a whole.  So staying with the module blacklisted for now until the upstream fix hits Fedora.

Comment 4 Marko Bevc 2022-02-26 19:51:07 UTC
FEDORA-2022-952bb7b856 has been pushed to the Fedora 35 stable repository and seems to be fixing this with 5.16.11.

Comment 5 Ben Cotton 2022-05-12 15:57:34 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 6 Ben Cotton 2022-06-07 22:51:52 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.